package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 推广者 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvPromoterDao;
import com.heyu.api.data.entity.vv.VvPromoterEntity;
import com.heyu.api.data.service.vv.VvPromoterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvPromoterServiceImpl extends ServiceImpl<VvPromoterDao, VvPromoterEntity> implements VvPromoterService {


    @Autowired
	private VvPromoterDao vvPromoterDao;



	@Override
	public VvPromoterEntity selectVvPromoterById(Long id){
		return vvPromoterDao.selectVvPromoterById(id);
	}



	@Override
	public Long insertVvPromoter(VvPromoterEntity vvPromoter){
		return vvPromoterDao.insertVvPromoter(vvPromoter);
	}



	@Override
	public Long insertOrUpdateVvPromoter(VvPromoterEntity vvPromoter){
		return vvPromoterDao.insertOrUpdateVvPromoter(vvPromoter);
	}



	@Override
	public int updateVvPromoterById(VvPromoterEntity vvPromoter){
		return vvPromoterDao.updateVvPromoterById(vvPromoter);
	}



	@Override
	public int updateCoverVvPromoterById(VvPromoterEntity vvPromoter){
		return vvPromoterDao.updateCoverVvPromoterById(vvPromoter);
	}



	@Override
	public int deleteVvPromoterById(Long id){
		return vvPromoterDao.deleteVvPromoterById(id);
	}



}
